import { createRectF } from '@nativescript-community/ui-canvas';
class NSImageBitmapRenderingContext {
    get canvas() {
        throw new TypeError('Illegal invocation');
    }
    transferFromImageBitmap(imageSource) {
        const nativeContext = this.canvas.nativeContext;
        if (nativeContext) {
            const rect = createRectF(0, 0, nativeContext.getWidth(), nativeContext.getHeight());
            nativeContext.drawBitmap(imageSource, null, rect, null);
        }
    }
}
export { NSImageBitmapRenderingContext as ImageBitmapRenderingContext };
//# sourceMappingURL=ImageBitmapRenderingContext.js.map