import { GradientData } from '../CanvasTypes';
declare class NSCanvasGradient {
    private readonly _colors;
    private readonly _offsets;
    private _data?;
    constructor(data?: GradientData);
    _getGradientData(): GradientData;
    get _gradientColors(): string[];
    get _gradientOffsets(): number[];
    addColorStop(offset: number, color: string): void;
}
export { NSCanvasGradient as CanvasGradient };
